<? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EM ): ?>
<script type="text/javascript">
    var cityzonestatus = 0;
    var is_save = false;
	var chOverlay = "";
	var csOverlay = "";
	var suspOverlay = "";
	var showname = "<?= $this->escort->showname ?>";
	window.adminComment.addEvent('loaded', function () {

		var self = this;

		if ( self.content.getElement('#comment_templates') ) {
			var free_comment = this.content.getElements('textarea[name=free_comment]')[0];
			self.content.getElement('#comment_templates').removeEvents('change');
			self.content.getElement('#comment_templates').addEvent('change', function(){ 
				var comment_template_id = this.getSelected()[0].get('value');
				
				free_comment.set('value', '');

				if ( comment_template_id ) {
					new Request.JSON({
	                    url: '<?= $this->baseUrl() ?>/system/comment-templates/ajax-get-template?id=' + comment_template_id,
	                    method: 'get',
	                    onSuccess: function(resp) {
							free_comment.set('value', resp.comment);							
	                    },
	                    onFailure: function(){
	                        
	                    }
	                }).send();
				}
			});
		}
	});
</script>
<? endif; ?>

<?
$id = $this->id;
$arr = array();

foreach ($id as $i)
{
	$arr[] = 'id[]=' . $i;
}

$ids = implode('&', $arr);

$DEFINITIONS = Zend_Registry::get('defines');
?>
<form class="form-common" action="<?= $this->baseUrl() ?>/agencies/add-admin-comment?<?= $ids ?>" method="post" class="form">
	<div class="inner">
		<label for="admin_verified">Admin Verified</label>
		<select id="admin_verified" name="admin_verified" class="w25">
			<option value="">---</option>
			<? foreach ($DEFINITIONS['ESCORT_VERIFICATION'] as $k => $v): ?>
				<option value="<?= $k ?>"><?= $v ?>&nbsp;&nbsp;</option>
			<? endforeach; ?>
		</select>
	</div>

	<div class="inner">
		<label for="due_date">Remember me in</label>
		<select id="due_date" name="due_date" class="w7">
			<option value="">---</option>
			<? for ( $i = 1; $i <= 60; $i++ ): ?>
				<option value="<?= strtotime("+" . $i . " days") ?>" ><?= $i ?>&nbsp;&nbsp;</option>
			<? endfor; ?>
		</select>
		<span> days</span>
	</div>
	<div class="clear"></div>

	<? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EM ): ?>
	<div class="inner">
		<label>Comment Template</label>
		<select name="" id="comment_templates" style="width: 400px">
			<option value="">- comment templates -</option>
			<? foreach( Model_System_CommentTemplates::getAllTemplates() as $template ): ?>
			<option value="<?= $template->id ?>"><?= $template->title ?></option>
			<? endforeach; ?>				
		</select>
	</div>
	<div class="clear"></div>
	<? endif; ?>
	
	<div class="inner ">
		<label for="free_comment">Free Comment</label>
		<textarea id="free_comment" name="free_comment" class="txt" style="height: 155px; width: 400px"></textarea>
	</div>

	<div class="clear"></div>
</form>